Bug 468793 - Unable to split screen between multiple monitors of different aspect ratios
Unable to split screen between multiple monitors of different aspect ratios
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 21:26 EDT by Victor Kusuma
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:40:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X log files (180.76 KB, text/plain)
2008-11-05 14:51 EST, Florent Le Coz
no flags Details
xrandr --verbose on both simple and dual screen (10.40 KB, text/plain)
2008-11-10 17:40 EST, Florent Le Coz
no flags Details
Log for Xorg (188.24 KB, text/plain)
2008-11-11 19:45 EST, Victor Kusuma
no flags Details

  None (edit)
Description Victor Kusuma 2008-10-27 21:26:20 EDT
Description of problem:
It seems that multiple monitor doesn't work properly between monitors of different aspect ratio. I am running rawhide on a Dell Latitude X-1 (12" widescreen) and attempted to hook it up to a Dell 1503FP (15" 4:3). The monitor was recognized but with current resolution (1280x768) it doesn't turn on. I restarted Fedora and now both monitors work; the resolution was set at 1024x768. The aspect ratio applies to both monitors, however, and the screen was stretched on the laptop monitor (appear normal on the external monitor). I cannot unsplit screen. 


Version-Release number of selected component (if applicable):
Latest rawhide

How reproducible:
Every time.

Steps to Reproduce:
1. Hook up laptop to external monitor while Fedora is running.
2. Then restart and compare.
3.
  
Actual results:


Expected results:
I expected xorg to be able to differentiate between the two aspect ratios and allows me to extend the desktop to the external monitor. I'm not sure if this is achievable by default, though. 

Additional info:
Comment 1 Matěj Cepl 2008-10-28 19:32:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please paste in the comment output of the command

xrandr -q

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Florent Le Coz 2008-11-05 05:54:44 EST
I have exactly the same issue : a laptop widescreen and a 19" monitor (4:3).
I cannot split the desktop, and if I use gnome-display-property, my second monitor is detected as "laptop" (and my laptop screen too), even if I unselect the "clone" mode.

I will provide the output of the commands asked by Matej Cepl latter today.
(for now : I can just say that I DON'T have any /etc/X11/xorg.conf file. It's a brand new fedora 10 install)
Comment 3 Florent Le Coz 2008-11-05 14:51:19 EST
Created attachment 322636 [details]
X log files 

there were 6 different logs, they are all collapsed in one file.
Comment 4 Florent Le Coz 2008-11-05 14:53:36 EST
I'm not the reporter, but I have exactly the same issue, so here are the additional informations you wanted:

$ xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA-0 disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
                  60.0*+
   1024x768       60.0  
   800x600        60.3  
   640x480        59.9  

(see attachement for the X server log)

(and I haven't any xorg.conf file)
Comment 5 Matěj Cepl 2008-11-07 13:05:25 EST
Reporter, could we get that xrandr -q output, please?
Comment 6 Søren Sandmann Pedersen 2008-11-07 23:49:00 EST
It would be interesting to get the output of 

     xrandr --verbose 

both when the screens are plugged in and when they are not.
Comment 7 Florent Le Coz 2008-11-10 17:40:47 EST
Created attachment 323128 [details]
xrandr --verbose on both simple and dual screen
Comment 8 Victor Kusuma 2008-11-11 19:42:24 EST
Sorry. I've been busy for the last few days.

The output is listed below for when the computer is started up with same monitor. The files are attached.


Screen 0: minimum 320 x 200, current 1024 x 768, maximum 1280 x 1280
VGA connected 1024x768+0+0 (normal left inverted right x axis y axis) 304mm x 228mm
   1024x768       60.0*+   75.0     70.1     60.0* 
   1280x960       60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3  
   640x480        75.0     72.8     75.0     59.9  
   720x400        70.1  
LVDS connected 1024x768+0+0 (normal left inverted right x axis y axis) 264mm x 159mm
   1280x768       59.9 +
   1024x768       60.0* 
   800x600        60.3  
   640x480        59.9
Comment 9 Victor Kusuma 2008-11-11 19:45:31 EST
Created attachment 323281 [details]
Log for Xorg
Comment 10 Bug Zapper 2008-11-25 23:20:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-18 03:40:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 01:40:29 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.